Subject: [OPSAWG] Roman Danyliw's No Objection on draft-ietf-opsawg-vpn-common-10: (with COMMENT)

From: Roman Danyliw via Datatracker <[email-masked]>
Date: Sat, 18 Sep 2021 14:03:59 -0700

Roman Danyliw has entered the following ballot position for
draft-ietf-opsawg-vpn-common-10: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-opsawg-vpn-common/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

** The following YANG items would benefit from references:

-- Section 6.  feature qinany.
-- Section 6.  feature bearer-reference.  Perhaps RFC8049?
-- Section 6.  feature fast-reroute.  Perhaps RFC6714?
-- Section 6.  identity control-mode.

** Section 6.  identity customer-application.  It is unclear what taxonomy is
guiding this list or how this will be used.  A few common user applications
that didn’t seem to fit into the existing categories included: printing,
version control,  proxies, name/directory/auth services (e.g., DNS, LDAP,
Kerberos, AD; is that network management?),

** Section 6.  identity embb, urllc and mmtc.  These appear to be the 5G key
words.  If that’s the intent, cite it as such.  The current text of “… demands
network performance with a  wide variety of characteristics, such as data rate,
latency,  loss rate, reliability, and many other parameters” doesn’t explain
anything.

** Section 6.  feature rtg-isis.  Typo. s/routeing/routing/

---

From: <[email-masked]>
Date: Mon, 20 Sep 2021 06:36:42 +0000

Hi Roman, 

Thank you for the review. 

Please see inline. 

Cheers,
Med

> -----Message d'origine-----
> De : Roman Danyliw via Datatracker [mailto:[email-masked]]
> Envoyé : samedi 18 septembre 2021 23:04
> À : The IESG <[email-masked]>
> Cc : [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> Objet : Roman Danyliw's No Objection on draft-ietf-opsawg-vpn-common-10:
> (with COMMENT)
> 

[[Med]] We don't have an authoritative reference to cite for this one. We received the same comment in both the WGLC and AD reviews. We have worked the description so that the intent is clear enough.

> -- Section 6.  feature bearer-reference.  Perhaps RFC8049?

[[Med]] We don't want to cite RFC8299 (that obsoletes 8049) for the simple reason that the common module is intended to be used in the future by any 8299-bis document. The description is clear enough.

> -- Section 6.  feature fast-reroute.  Perhaps RFC6714?

[[Med]] We don't have an acceptable authoritative reference to cite for FRR in a VPN context. RFC6714 is not appropriate here.

> -- Section 6.  identity control-mode.

[[Med]] We don't cite a reference as there are a variety of protocols that are used as L2CP. Will double check if we can find an acceptable reference.  

> 
> ** Section 6.  identity customer-application.  It is unclear what
> taxonomy is guiding this list or how this will be used.

[[Med]] We are inheriting these identities from RFC8299 and RFC8466. We didn't touch that text as it was reviewed for both RFCs.

  A few common
> user applications that didn’t seem to fit into the existing categories
> included: printing, version control,  proxies, name/directory/auth
> services (e.g., DNS, LDAP, Kerberos, AD; is that network management?),
> 
> ** Section 6.  identity embb, urllc and mmtc.  These appear to be the 5G
> key words.  If that’s the intent, cite it as such.  The current text of
> “… demands network performance with a  wide variety of characteristics,
> such as data rate, latency,  loss rate, reliability, and many other
> parameters” doesn’t explain anything.

[[Med]] We are inheriting these from both RFC8299 and RFC8466. We didn't touch that text as it was reviewed for both RFCs. 

> ** Section 6.  feature rtg-isis.  Typo. s/routeing/routing/

[Med]] This is not a typo. Please see https://www.iso.org/standard/30932.html  

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.